#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

;berprft, ob das Bild angeklickt und losgelassen wurde.
Func _BildWurdeAngeklickt($xFensterHandle, $xBildHandle, $xBildBeiKlick = -1, $xBildBeiHover = -1, $xDelay = 20)
	;Findet den Cursor-Info heraus.
	Local $xCursorInfo = GUIGetCursorInfo($xFensterHandle)
	;Bricht die Funktion bei Fehler ab.
	If Not IsArray($xCursorInfo) Then Return 0
	;Setzt das Bild bei klick.
	If $xBildBeiKlick <> -1 Then GUICtrlSetImage($xBildHandle, $BildOrdner & "\" & $xBildBeiKlick)
	;Wartet, bis geklickt wurde.
	Do
		$xCursorInfo = GUIGetCursorInfo($xFensterHandle)
		If Not $xCursorInfo[2] Then
			;Setzt das neue Bild.
			If $xBildBeiHover <> -1 Then GUICtrlSetImage($xBildHandle, $BildOrdner & "\" & $xBildBeiHover)
			;Brucht die Funktion ab.
			Return 1
		EndIf
		;Verlangsamt die Schleife.
		Sleep($xDelay)
	Until $xCursorInfo[4] <> $xBildHandle
	;Gibt die 0 wieder.
	Return 0
EndFunc   ;==>_ImagePressed_Wait