#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.0
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here

#NoTrayIcon

;Includes
#include <GuiConstantsEx.au3>
#include <WindowsConstants.au3>
#include <ListViewConstants.au3>
#include <Constants.au3>
#include <WinAPI.au3>
#include <GUIStatusBar.au3>
#include <Array.au3>
#include <GUIListView.au3>


;Klassen
#include <class\rsmgui.au3>
#include <class\ini.au3>
#include <class\radio station.au3>


#include <include\aero.au3>

;Optionen
Opt("GUIOnEventMode", 1)
OnAutoItExitRegister("_BeendeProgramm")

;Verzeichnisse
Global Const $ScriptDir = @ScriptDir
Global Const $ScriptFullPath = @ScriptFullPath
Global Const $ComponentDir = $ScriptDir & "\components"
Global Const $AppDataDir = @AppDataDir & "\DeepSoftware\Desktop Radio"
Global Const $Compiled = @Compiled
Global Const $AutoItPID = @AutoItPID

;Erstellt wichtige Objekte.
Local $inipath = _ReadConfig("Settings", "PathToIni")
Local $hotkey  = _New_IniObject($inipath & "\Hotkeys.ini")
Local $setting = _New_IniObject($inipath & "\Settings.ini")
Local $data    = _New_IniObject($inipath & "\Data.ini")


;Objekte erzeugen
Local $rsmgui = _New_RSMGUI()
$rsmgui.create()
$rsmgui.GUISetOnEvent($GUI_EVENT_CLOSE, "_BeendeProgramm")
$rsmgui.loadSettings($data)
$rsmgui.show(True)


Global $MyArea[4] = [0, 0, 64, 0]
_DWM_Aero_ApplyGlassArea(HWnd($rsmgui.handle), $MyArea)


While 1
	Sleep(100)
WEnd










Func _BeendeProgramm()
	Exit
EndFunc

Func _GUIImageList_AddIconSize($hWnd, $sFile, $iSize=64) ;By Progandy!
    Local $hIcon = _WinAPI_LoadImage(0, $sFile, $IMAGE_ICON, $iSize, $iSize, $LR_LOADFROMFILE)
    Local $iResult = _GUIImageList_ReplaceIcon($hWnd, -1, $hIcon)
    _WinAPI_DestroyIcon($hIcon)
    Return $iResult
EndFunc   ;==>_GUIImageList_AddIcon

Func _ReadConfig($Section, $Key)
	Return Execute(IniRead($ScriptDir & "\config.ini", $Section, $Key, $AppDataDir))
EndFunc




































































